//import java.io.BufferedReader;
import java.awt.AWTException;
import java.awt.Rectangle;
import java.awt.Robot;
import java.awt.image.BufferedImage;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
//import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Locale;
import java.util.Random;

import javax.imageio.ImageIO;
import org.omg.Messaging.SyncScopeHelper;


public class Levy {

	public static int size1 = 150;
	public static int size2 = 150;
	public static Board data = new Board(Levy.size1,Levy.size2);
	public static Board ideal = new Board(Levy.size1,Levy.size2);
	public static Board cluster = new Board(Levy.size1,Levy.size2);
	public static int ignoreab = 5;
	public static int colour = 1;

	public static int grenze = 20*Levy.jump/(Levy.size1*Levy.size2);
	public static int plot = 2;
	public static int pixel = 5;
	public static int jump = 1500000;
	
	public static void main(String[] args) throws IOException, AWTException {
		
		int pixel=Levy.pixel;
		Levy.cluster.clear();
		Levy.ideal.clear();
		Locale.setDefault(Locale.US);
		
		Paint start = new Paint(Levy.cluster,"initialize");
		start.initialize(pixel);
		
		
		BenUtil.makeCluster();
		BenUtil.letitrun();


	}
}
